Skip to main content
`Ctrl`+`K`

# PetscMemoryView

Shows the amount of memory currently being used in a communicator.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMemoryView(PetscViewer viewer, const char message[])

Collective

## Input Parameters

- viewer - the viewer to output the information on

- message - string printed before values

## Options Database Keys

- -malloc_debug - have PETSc track how much memory it has allocated

- -log_view_memory - print memory usage per event when `-log_view` is used

- -memory_view - during `PetscFinalize()` have this routine called

## See Also

`PetscMallocDump()`, `PetscMemoryGetCurrentUsage()`, `PetscMemorySetGetMaximumUsage()`, `PetscMallocView()`, `PetscMalloc()`, `PetscFree()`

## Level

intermediate

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages